Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class I3DXMLImporter

    java.lang.Object
      igeo.io.I3DXMLImporter

    public class I3DXMLImporter

extends java.lang.Object

3DXML Importer

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Nested Class Summary
`static class` | `I3DXMLImporter.ZipInputStreamWrapper`

Constructor Summary
`I3DXMLImporter()`

Method Summary
`static java.lang.String` | `getAttribute(org.w3c.dom.Node node, java.lang.String attributeName)`
`static boolean` | `getBooleanAttribute(org.w3c.dom.Node node, java.lang.String attributeName)`
`static double` | `getDoubleAttribute(org.w3c.dom.Node node, java.lang.String attributeName)`
`static int` | `getElementIntegerValue(org.w3c.dom.Node node)`
`static java.lang.String` | `getElementValue(org.w3c.dom.Node node)`
`static int` | `getIntegerAttribute(org.w3c.dom.Node node, java.lang.String attributeName)`
`static I3DXML.Matrix4x3` | `getMatrix4x3(org.w3c.dom.Node node)`
`static org.w3c.dom.Node` | `getXMLNode(java.io.InputStream is)` build a XML node tree and returns its root node
`static void` | `main(java.lang.String[] args)`
`static void` | `printNode(org.w3c.dom.Node node, int indentDepth)`
`static I3DXML` | `read(java.io.File file)`
`static I3DXML` | `read(java.io.InputStream is, java.lang.String filename)`
`static I3DXML` | `read(java.lang.String filename)`
`static void` | `read3DRep(I3DXML document, java.lang.String filename, java.io.InputStream is)`
`static void` | `read3DXML(I3DXML document, java.lang.String filename, java.io.InputStream is)`
`static void` | `readAssociatedFile(I3DXML document, I3DXML.ReferenceRep referenceRep)`
`static void` | `readCATMaterial(I3DXML document, org.w3c.dom.Node node)`
`static void` | `readCATMaterialRef(I3DXML document, org.w3c.dom.Node node)`
`static void` | `readCATRepImage(I3DXML document, org.w3c.dom.Node node)`
`static void` | `readDefaultView(I3DXML document, org.w3c.dom.Node node)`
`static I3DXML.FaceGPType` | `readFaceGP(org.w3c.dom.Node node)`
`static I3DXML.FaceSetType` | `readFaceSet(org.w3c.dom.Node node)`
`static void` | `readHeader(I3DXML document, org.w3c.dom.Node node)`
`static void` | `readInstance3D(I3DXML document, org.w3c.dom.Node node)`
`static void` | `readInstanceRep(I3DXML document, org.w3c.dom.Node node)`
`static void` | `readModel3DXML(I3DXML document, org.w3c.dom.Node node)`
`static I3DXML.PolygonalRepType` | `readPolygonalRepType(I3DXML.XMLRepresentationDocument document, org.w3c.dom.Node node)`
`static I3DXML.PolylineGPType` | `readPolylineGP(org.w3c.dom.Node node)`
`static I3DXML.PolylineSetType` | `readPolylineSet(org.w3c.dom.Node node)`
`static void` | `readProductStructure(I3DXML document, org.w3c.dom.Node node)`
`static void` | `readReference3D(I3DXML document, org.w3c.dom.Node node)`
`static void` | `readReferenceRep(I3DXML document, org.w3c.dom.Node node)`
`static I3DXML.TextureCoordinatesBufferType` | `readTextureCoordinatesBuffer(org.w3c.dom.Node node)`
`static I3DXML.VertexBufferType` | `readVertexBuffer(org.w3c.dom.Node node)`
`static I3DXML.VisualizationRepType` | `readVisualizationRepType(I3DXML.XMLRepresentationDocument document, org.w3c.dom.Node node)`
`static void` | `readXMLRepresentation(I3DXML.XMLRepresentationDocument rep, org.w3c.dom.Node node)`
`static void` | `recursivePrint(org.w3c.dom.Node node, int depth)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I3DXMLImporter

    public I3DXMLImporter()

Method Detail

### read

    public static I3DXML read(java.lang.String filename)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public static I3DXML read(java.io.File file)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public static I3DXML read(java.io.InputStream is,
                              java.lang.String filename)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getXMLNode

    public static org.w3c.dom.Node getXMLNode(java.io.InputStream is)

  build a XML node tree and returns its root node

### read3DXML

    public static void read3DXML(I3DXML document,
                                 java.lang.String filename,
                                 java.io.InputStream is)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### readModel3DXML

    public static void readModel3DXML(I3DXML document,
                                      org.w3c.dom.Node node)

### readHeader

    public static void readHeader(I3DXML document,
                                  org.w3c.dom.Node node)

### readProductStructure

    public static void readProductStructure(I3DXML document,
                                            org.w3c.dom.Node node)

### readReference3D

    public static void readReference3D(I3DXML document,
                                       org.w3c.dom.Node node)

### readInstance3D

    public static void readInstance3D(I3DXML document,
                                      org.w3c.dom.Node node)

### readReferenceRep

    public static void readReferenceRep(I3DXML document,
                                        org.w3c.dom.Node node)

### readAssociatedFile

    public static void readAssociatedFile(I3DXML document,
                                          I3DXML.ReferenceRep referenceRep)

### readInstanceRep

    public static void readInstanceRep(I3DXML document,
                                       org.w3c.dom.Node node)

### readDefaultView

    public static void readDefaultView(I3DXML document,
                                       org.w3c.dom.Node node)

### readCATMaterialRef

    public static void readCATMaterialRef(I3DXML document,
                                          org.w3c.dom.Node node)

### readCATMaterial

    public static void readCATMaterial(I3DXML document,
                                       org.w3c.dom.Node node)

### readCATRepImage

    public static void readCATRepImage(I3DXML document,
                                       org.w3c.dom.Node node)

### read3DRep

    public static void read3DRep(I3DXML document,
                                 java.lang.String filename,
                                 java.io.InputStream is)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### readXMLRepresentation

    public static void readXMLRepresentation(I3DXML.XMLRepresentationDocument rep,
                                             org.w3c.dom.Node node)

### readVisualizationRepType

    public static I3DXML.VisualizationRepType readVisualizationRepType(I3DXML.XMLRepresentationDocument document,
                                                                       org.w3c.dom.Node node)

### readPolygonalRepType

    public static I3DXML.PolygonalRepType readPolygonalRepType(I3DXML.XMLRepresentationDocument document,
                                                               org.w3c.dom.Node node)

### readFaceSet

    public static I3DXML.FaceSetType readFaceSet(org.w3c.dom.Node node)

### readFaceGP

    public static I3DXML.FaceGPType readFaceGP(org.w3c.dom.Node node)

### readPolylineSet

    public static I3DXML.PolylineSetType readPolylineSet(org.w3c.dom.Node node)

### readPolylineGP

    public static I3DXML.PolylineGPType readPolylineGP(org.w3c.dom.Node node)

### readVertexBuffer

    public static I3DXML.VertexBufferType readVertexBuffer(org.w3c.dom.Node node)

### readTextureCoordinatesBuffer

    public static I3DXML.TextureCoordinatesBufferType readTextureCoordinatesBuffer(org.w3c.dom.Node node)

### getAttribute

    public static java.lang.String getAttribute(org.w3c.dom.Node node,
                                                java.lang.String attributeName)

### getIntegerAttribute

    public static int getIntegerAttribute(org.w3c.dom.Node node,
                                          java.lang.String attributeName)
                                   throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getDoubleAttribute

    public static double getDoubleAttribute(org.w3c.dom.Node node,
                                            java.lang.String attributeName)
                                     throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getBooleanAttribute

    public static boolean getBooleanAttribute(org.w3c.dom.Node node,
                                              java.lang.String attributeName)
                                       throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getElementValue

    public static java.lang.String getElementValue(org.w3c.dom.Node node)

### getElementIntegerValue

    public static int getElementIntegerValue(org.w3c.dom.Node node)
                                      throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getMatrix4x3

    public static I3DXML.Matrix4x3 getMatrix4x3(org.w3c.dom.Node node)
                                         throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### printNode

    public static void printNode(org.w3c.dom.Node node,
                                 int indentDepth)

### recursivePrint

    public static void recursivePrint(org.w3c.dom.Node node,
                                      int depth)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD